Tor Browser Bundle (2.2.39-4); suite=osx

  * Update Firefox patches to prevent crashing (closes: #7128)
  * Update HTTPS Everywhere to 3.0.2
  * Update NoScript to 2.5.8

 -- Erinn Clark <erinn@torproject.org>  Thu Oct 18 08:40:10 BST 2012

Tor Browser Bundle (2.2.39-3); suite=osx

  * Update Firefox to 10.0.9esr

 -- Erinn Clark <erinn@torproject.org>  Sat Oct 13 10:06:02 BST 2012

Tor Browser Bundle (2.2.39-2); suite=osx

  * Update Firefox to 10.0.8esr
  * Update Torbutton to 1.4.6.3
  * Update NoScript to 2.5.7
  * Update HTTPS Everywhere to 2.2.2

 -- Erinn Clark <erinn@torproject.org>  Thu Oct 11 11:09:02 BST 2012

Tor Browser Bundle (2.2.39-1); suite=osx

  * Update Tor to 0.2.2.39
  * Update NoScript to 2.5.4

 -- Erinn Clark <erinn@torproject.org>  Tue Sep 11 19:09:34 BST 2012

Tor Browser Bundle (2.2.38-2); suite=osx

  * Update Firefox to 10.0.7esr
  * Update Libevent to 2.0.20-stable
  * Update NoScript to 2.5.2
  * Update HTTPS Everywhere to 2.2.1

 -- Erinn Clark <erinn@torproject.org>  Mon Aug 27 07:11:24 BST 2012

Tor Browser Bundle (2.2.38-1); suite=osx

  * Update Tor to 0.2.2.38
  * Update NoScript to 2.5
  * Update HTTPS Everywhere to 2.1

 -- Erinn Clark <erinn@torproject.org>  Mon Aug 13 22:58:53 BST 2012

Tor Browser Bundle (2.2.37-2); suite=osx

  * Update Firefox to 10.0.6esr
  * Update Vidalia to 0.2.20
  * Update NoScript to 2.4.8

 -- Erinn Clark <erinn@torproject.org>  Wed Jul 18 17:34:11 BST 2012

Tor Browser Bundle (2.2.37-1); suite=osx

  * Update Tor to 0.2.2.37
  * Switch Firefox to 10.0.5esr, since we will be tracking the extended stable
    releases for TBB stable versions
  * Update Vidalia to 0.2.19
  * Update Torbutton to 1.4.6
  * Update NoScript to 2.4.4

 -- Erinn Clark <erinn@torproject.org>  Thu Jun  7 17:50:58 BRT 2012

Tor Browser Bundle (2.2.36-1); suite=osx

  * Update Tor to 0.2.2.36
  * Update NoScript to 2.4.3
  * Update HTTPS Everywhere to 2.0.5

 -- Erinn Clark <erinn@torproject.org>  Mon May 28 15:50:07 BRT 2012

Tor Browser Bundle (2.2.35-12); suite=osx

  * Update OpenSSL to 1.0.1c
  * Update Libevent to 2.0.19-stable
  * Update zlib to 1.2.7
  * Update NoScript to 2.4.1

 -- Erinn Clark <erinn@torproject.org>  Fri May 11 20:16:04 BRT 2012

Tor Browser Bundle (2.2.35-11); suite=osx

  * Security release to stop TorBrowser from bypassing SOCKS proxy DNS
    configuration
  * New Firefox patches:
    - Prevent WebSocket DNS leak (closes: #5741)
    - Fix a race condition that could be used to link browsing sessions
      together when using new identity from Tor Browser (closes: #5715)
  * Remove extraneous BetterPrivacy settings from prefs.js (closes: #5722)
  * Fix the mozconfig options for OS X so that it really builds everything with
    clang instead of llvm-gcc (closes: #5740)

 -- Erinn Clark <erinn@torproject.org>  Thu May  3 07:59:58 BRT 2012

Tor Browser Bundle (2.2.35-10); suite=osx

  * Make TorBrowser stop crashing on random websites by building with clang
    instead of llvm-gcc. (closes: #5697)

 -- Erinn Clark <erinn@torproject.org>  Mon Apr 30 17:45:31 BRT 2012

Tor Browser Bundle (2.2.35-9.1); suite=osx

  * Fix paths in Vidalia so TorBrowser will launch on the 64-bit version

 -- Erinn Clark <erinn@torproject.org>  Sat Apr 28 18:14:27 BRT 2012

Tor Browser Bundle (2.2.35-9); suite=osx

  * Update Firefox to 12.0
  * Update OpenSSL to 1.0.1b
  * Update Libevent to 2.0.18-stable
  * Update Qt to 4.8.1
  * Update Libpng to 1.5.10
  * Update HTTPS Everywhere to 2.0.2
  * Update NoScript to 2.3.9
  * Rebrand Firefox to TorBrowser (closes: #2176)
  * New Firefox patches
    - Make Download Manager memory-only (closes: #4017)
    - Add DuckDuckGo and Startpage to Omnibox (closes: #4902)
    - Add Steven Michaud's OS X crash fix patch. It doesn't fix #5021 but will
      hopefully help us debug further. See also:
      https://bugzilla.mozilla.org/show_bug.cgi?id=715885#c35
  * Make the 32-bit Tor Browser Bundle compatible with OS X 10.5

 -- Erinn Clark <erinn@torproject.org>  Fri Apr 27 12:43:23 BRT 2012

Tor Browser Bundle (2.2.35-8); suite=osx

  * Update Firefox to 11.0
  * Update OpenSSL to 1.0.0h
  * Update NoScript to 2.3.4
  * Update HTTPS Everywhere to 2.0.1
  * Always build to with warnings enabled (closes; #4470)
  * Disable HTTPS Everywhere SSL Observatory screen (closes: #5300)
  * Give OS X users below 10.5 an incompatibility message (closes: #4356)

 -- Erinn Clark <erinn@torproject.org>  Fri Mar 16 18:05:07 BRT 2012

Tor Browser Bundle (2.2.35-7.1); suite=osx

  * Actually update Firefox to 10.0.2 in the 64-bit bundle

 -- Erinn Clark <erinn@torproject.org>  Sun Feb 19 01:35:09 CET 2012

Tor Browser Bundle (2.2.35-7); suite=osx

  * Update Firefox to 10.0.2

 -- Erinn Clark <erinn@torproject.org>  Fri Feb 17 15:29:29 CET 2012

Tor Browser Bundle (2.2.35-6); suite=osx

  * Update Firefox to 10.0.1
  * Update Vidalia to 0.2.17
  * Update Libevent to 2.0.17-stable
  * Update NoScript to 2.3

 -- Erinn Clark <erinn@torproject.org>  Sun Feb 12 14:15:30 CET 2012

Tor Browser Bundle (2.2.35-5); suite=osx

  * Update Firefox to 10.0
  * Update Qt to 4.7.4
  * Update OpenSSL to 1.0.0g
  * Update zlib to 1.2.6
  * Update HTTPS Everywhere to 1.2.2
  * Update NoScript to 2.2.8
  * New Firefox patches
    - Limit the number of fonts per document

 -- Erinn Clark <erinn@torproject.org>  Fri Feb  3 00:14:24 CET 2012

Tor Browser Bundle (2.2.35-4); suite=osx

  * Update OpenSSL to 1.0.0f
  * Update NoScript to 2.2.5

 -- Erinn Clark <erinn@torproject.org>  Thu Jan  5 11:01:36 CET 2012

Tor Browser Bundle (2.2.35-3); suite=osx

  * Update Firefox to 9.0.1

 -- Erinn Clark <erinn@torproject.org>  Thu Dec 22 21:42:33 CET 2011

Tor Browser Bundle (2.2.35-2); suite=osx

  * Update Firefox to 9.0
  * Update Torbutton to 1.4.5.1
  * Update Noscript to 2.2.4
  * New Firefox patches
    - Provide client values only to CSS Media Queries and disable several
      Mozilla extensions that seem fingerprintable

 -- Erinn Clark <erinn@torproject.org>  Wed Dec 21 22:20:29 GMT 2011

Tor Browser Bundle (2.2.35-1); suite=osx

  * Update Tor to 0.2.2.35
  * Update NoScript to 2.2.3
  * Update Torbutton to 1.4.5
  * New Firefox patches
    - Disable SSL Session ID tracking
    - Provide an observer event to close persistent connections

 -- Erinn Clark <erinn@torproject.org>  Fri Dec 16 03:56:02 GMT 2011

Tor Browser Bundle (2.2.34-3); suite=osx

  * Update Firefox to 8.0.1
  * Update Libevent to 2.0.16-stable
  * Update NoScript to 2.2
  * Update HTTPS Everywhere to 1.2.1
  * Begin building Tor with --enable-gcc-warnings

 -- Erinn Clark <erinn@torproject.org>  Wed Nov 23 16:14:30 GMT 2011

Tor Browser Bundle (2.2.34-2); suite=osx

  * Update Firefox to 8.0
  * Update Libevent to 2.0.15-stable
  * Update NoScript to 2.1.8
  * Add extensions.autoDisableScopes to allow TBB's Firefox to launch with its
    extensions enabled

 -- Erinn Clark <erinn@torproject.org>  Fri Nov 11 04:00:59 GMT 2011

Tor Browser Bundle (2.2.34-1); suite=osx

  * Update Tor to 0.2.2.34
  * Update NoScript 2.1.7
  * Update HTTPS Everywhere to 1.1

 -- Erinn Clark <erinn@torproject.org>  Thu Oct 27 02:24:06 BST 2011

Tor Browser Bundle (2.2.33-3); suite=osx

  * Update Vidalia to 0.2.15
  * Update Torbutton to 1.4.4
  * Update NoScript to 2.1.4
  * Remove trailing dash from Windows version number (closes: #4160)
  * Make Tor Browser (Aurora) fail closed when not launched with a TBB profile
    (closes: #4192)

 -- Erinn Clark <erinn@torproject.org>  Mon Oct 10 23:26:02 BST 2011

Tor Browser Bundle (2.2.33-2); suite=osx

  * Update Firefox to 7.0.1

 -- Erinn Clark <erinn@torproject.org>  Fri Sep 30 16:31:59 BST 2011

Tor Browser Bundle (2.2.33-1); suite=osx

  * Update Firefox to 7
  * Update Tor to 0.2.2.33
  * Update NoScript to 2.1.2.8
  * Downgrade HTTPS Everywhere to 1.0.3, because we don't want stable TBBs to
    use development versions of extensions (closes: #4050)
  * Stop TBB from logging so much information to the system by only allowing
    dyld log library loads to syslog when it is in debug mode (closes: #4093)

 -- Erinn Clark <erinn@torproject.org>  Thu Sep 29 15:44:48 BST 2011

Tor Browser Bundle (2.2.32-4); suite=osx

  * New Firefox patches
    - Prevent Firefox from loading all system plugins besides Flash (closes: #2826, #3547)
    - Prevent content-preferences service from writing website urls and their settings to disk (closes: #3229)
  * Update Torbutton to 1.4.3
    - Don't let Torbutton inadvertently enable automatic updating in Firefox (closes: #3933)
    - Fix auto-scroll on Twitter (closes: #3960)
    - Allow site zoom information to be stored (closes: #3928)
    - Make permissions and disk errors human-readable (closes: #3649)

 -- Erinn Clark <erinn@torproject.org>  Fri Sep  9 23:00:06 BST 2011

Tor Browser Bundle (2.2.32-3) alpha; suite=osx

  * Update Firefox to 6.0.2
  * New Firefox patches
    - Improve cache APIs to enable better isolation (closes: #3666)
    - Provide auth headers to on-modify-request (closes: #3907)
    - Enable HTTP Pipelining as an experimental fingerprinting defense  (closes: #3914)
    - Enable HTTP pipelining in TBB prefs.js too (closes: #3913)
  * Update Torbutton to 1.4.2
  * Update NoScript to 2.1.2.7

 -- Erinn Clark <erinn@torproject.org>  Mon Sep  5 00:10:55 BST 2011

Tor Browser Bundle (2.2.32-2) alpha; suite=osx

  * Update Firefox to 6.0.1, with an additional patch to exclude DigiNotar completely
    - https://gitweb.torproject.org/torbrowser.git/commit/0be3b043afa0e54d207f603a3bf3716f6165caa1
    For the full saga, read:
    - http://blog.mozilla.com/security/2011/08/29/fraudulent-google-com-certificate/
    - http://googleonlinesecurity.blogspot.com/2011/08/update-on-attempted-man-in-middle.html
  * Update Libevent to 2.0.14-stable
  * Rebuild 32-bit binaries with backwards compatibility options so TBB works
    on OSX 10.5 (closes: #3671)
  * Update torbrowser.version string in prefs.js to have more information (see #3504)
  * Enable internationalized bundles by adding and changing the
    general.useragent.locale pref in prefs.js

 -- Erinn Clark <erinn@torproject.org>  Wed Aug 31 17:43:09 BST 2011

Tor Browser Bundle (2.2.32-1) alpha; suite=osx

  * Update Tor to 0.2.2.32
  * Update Vidalia to 0.2.14
  * Update Torbutton to 1.4.1
  * Enable automatic port choosing (closes: #2264)

 -- Erinn Clark <erinn@torproject.org>  Sun Aug 28 17:20:46 BST 2011

Tor Browser Bundle (2.2.31-1) alpha; suite=osx

  * Update Tor to 0.2.2.31-rc
  * Update Firefox to 6.0
  * Update Libevent to 2.0.13-stable
  * Update NoScript to 2.1.2.6
  * Update HTTPS Everywhere to 1.0.0development.5
  * Remove BetterPrivacy until we can figure out how to make it safe in all
    bundles (see #3597)

 -- Erinn Clark <erinn@torproject.org>  Sat Aug 20 20:40:52 CEST 2011

Tor Browser Bundle (2.2.30-2) alpha; suite=osx

  * Update Firefox to 5.0.1

 -- Erinn Clark <erinn@torproject.org>  Wed Jul 13 09:07:41 ART 2011

Tor Browser Bundle (2.2.30-1) alpha; suite=osx

  * Update Tor to 0.2.2.30-rc
  * Update Firefox to 5.0
  * Update Torbutton to 1.4.0
  * Update HTTPS Everywhere to 1.0.0development.4
  * Update NoScript to 2.1.1.2

 -- Erinn Clark <erinn@torproject.org>  Sun Jul 10 08:59:52 ART 2011

Tor Browser Bundle (2.2.29-1) alpha; suite=osx

  * Update Tor to 0.2.2.29-beta
  * Update HTTPS Everywhere to 0.9.9.development.6
  * Update NoScript to 2.1.1.1

 -- Erinn Clark <erinn@torproject.org>  Tue Jun 21 16:43:39 ART 2011

Tor Browser Bundle (2.2.28-1) alpha; suite=osx

  * Update Tor to 0.2.2.28-beta
  * Update Libevent to 2.0.12-stable
  * Update NoScript to 2.1.1
  * Update BetterPrivacy to 1.51

 -- Erinn Clark <erinn@torproject.org>  Mon Jun  6 20:25:53 ART 2011

Tor Browser Bundle (2.2.27-1) alpha; suite=osx

  * Update Tor to 0.2.2.27-beta
  * Update HTTPS Everywhere to 0.9.9.development.5
  * Update NoScript to 2.1.0.5

 -- Erinn Clark <erinn@torproject.org>  Fri May 20 22:42:33 ART 2011

Tor Browser Bundle (2.2.25-1) alpha; suite=osx

  * Update Tor to 0.2.2.25-alpha
  * Update Firefox to 4.0.1
  * Update Torbutton to 1.3.3-alpha
  * Update BetterPrivacy to 1.50
  * Update NoScript to 2.1.0.3

 -- Erinn Clark <erinn@torproject.org>  Tue May  3 11:49:53 IDT 2011

Tor Browser Bundle (2.2.24-1) alpha; suite=osx

  * Update Tor to 0.2.2.24-alpha
  * Update Vidalia to 0.2.12
  * Update NoScript to 2.1.0.1

 -- Erinn Clark <erinn@torproject.org>  Mon Apr 11 14:28:08 CEST 2011

Tor Browser Bundle (2.2.23-2) alpha; suite=osx

  * Update Firefox prefs to show the toggle buttons for NoScript and Torbutton
  * Make Vidalia stop linking to an OpenSSL that isn't present on the user's system
    in i386 bundle (closes: #2813)

 -- Erinn Clark <erinn@torproject.org>  Tue Mar 29 23:55:49 CEST 2011

Tor Browser Bundle (2.2.23-1) alpha; suite=osx

  * Create new bundles for Firefox 4, both i386 and x86_64 (closes: #2140)
  * Update Tor to 0.2.2.23-alpha
  * Update Torbutton to 1.3.2-alpha
  * Update OpenSSL to 1.0.0d
  * Update HTTPS-Everywhere to 0.9.9.development.4
  * Update NoScript to 2.0.9.9
  * Update BetterPrivacy to 1.49

 -- Erinn Clark <erinn@torproject.org>  Sun Mar 27 23:27:39 CEST 2011
